#################### FILE ABSTRACT ############################################
##
## Synopsis::         Source for running standalone mode example
##
## File Name::        %M%
## Version::          %I%
## Type::             source
## Date Completed::   %G%
##
## Environment::
##     Language::     Splus
##     Computer::     Compaq/Alpha
##     OS::           DigitalUNIX
##     OSVersion::    4.0
##
## Module Information::
##     Owner::        MDACC
##     Department::   Biostatistics
##     Researcher::   Kim-Anh Do
##     Application::  geneclust
##
###############################################################################


##*****************************************************************************
## Modify the following variables according to what is desired
##*****************************************************************************

source("./sinterpreter/InitStandalone.s");


##*****************************************************************************
## Modify the following variables according to what is desired
##*****************************************************************************

source(paste(GCsplus,"GCRawData.s",sep="/"));
graphGenes<-FALSE       ## hierarchical clustering - display genes graph
graphSamples<-FALSE     ## hierarchical clustering - display samples graph
percentSupervision<-0  ## supervised shaving - supervised percentage (0..100)
classfile<-NULL        ## supervised shaving - classification filename
nclst<-4            ## Number of clusters to extract
percentToShave<-10     ## Percent to shave
nperm<-10              ## Number of permutations
gapTolerance<-5        ## Gap tolerance
writeMatrix<-FALSE     ## Writes matrix to disk (useful in DEMO mode)
fname<-paste(GCdata,"alontop.tsv",sep="/");  ## Raw data filename
##*****************************************************************************
## Run the standalone simulation.
##*****************************************************************************
source(paste(GCsplus,"GCDemoPlaid3.s",sep="/"));
GCDemoPlaid3.func(nclst,percentToShave,nperm,gapTolerance,20,60,3,2,5,percentSupervision,classfile);




#GCRawData.func(nclst,
#              percentToShave,
#              nperm,
#               gapTolerance,
#               fname,
#               percentSupervision,
#               classfile);

